function battle_sai048(npcID)       --包子

	local id = battle.GetRndPlayer()
	local a=battle.GetRndNumber(1,3)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if a==1 then
		battle.MagicToPlayer(0,1556,1)
	elseif a==2 then
		battle.MagicToPlayer(0,1557,1)
	else
		battle.MagicToPlayer(0,1558,1)
	end
		
end